### Method

# EDataServer Source lookup_password_sync

since: 3.12

#### Declaration [src]

    gboolean
    e_source_lookup_password_sync (
      ESource* source,
      GCancellable* cancellable,
      gchar** out_password,
      GError** error
    )

#### Description [src]

Looks up a password for `source`. Both the default and session keyrings are queried. This operation does not rely on the registry service and therefore works for any `ESource` — registered or “scratch”.

Note the boolean return value indicates whether the lookup operation itself completed successfully, not whether a password was found. If no password was found, the function will set `out_password` to `NULL` but still return `TRUE`. If an error occurs, the function sets `error` and returns `FALSE`.

Available since: 3.12

#### Parameters

`cancellable`

  Type: `GCancellable`

  Optional `GCancellable` object, or `NULL`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

`out_password`

  Type: `gchar**`

  Return location for the password, or `NULL`.

  The argument will be set by the function.
  The argument can be set to `NULL` by the method.
  The argument can be `NULL`.
  The caller of the method takes ownership of the returned data, and is responsible for freeing it.
  The value is a NUL terminated UTF-8 string.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `gboolean`

`TRUE` on success, `FALSE` on error.